OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Version Issues, Trying to discern what's what
walts
post Nov 7 2007, 12:26 PM
Post #1





Group: Members
Posts: 57
Joined: 20-April 04
From: Florida, USA
Member No.: 2,933



I just came back to pdaXii13 after a trip to the 2.6 kernel via r198 and Angstrom.

I verified that I had the 5.4.9 files from the tyrannozaurus site and flashed my 3200 with the "full" version. (initrd.bin, tools.tar and updater.sh from Akita and hdimage-full.tar from Spitz)
I fixed up my wpa_supplicant.conf and wifi-radar files, and of course my wifi card (Ambicom WL1100-CF) did not work.
Based on prior experience with this ROM, I did a manual (ipkg from command line) install of hostap-drivers and hostap-utils (version 0.4.7-1) I have no idea what version is installed by flashing the ROM, but it has never worked for me in the past. (hostap-utils -v or hostap-utils --version give errors)
I also installed wifi-radar 1.9.8-2 and that gets my network going.

Then I did ipkg update and started ipkg upgrade. It ran for a while and then upgraded hostap-drivers, and the whole thing quit. Now I have no network connection.

Questions:
- How can I exclude a package from ipkg upgrade?
- Is that even a good idea? I want to keep things current but the version installed by flashing clearly doesn't work.
- How can I get things back to where they are working without re-flashing?
- The Tyrannozaurus download page clearly says this is 5.4.9, but the pdaXii13 Config Tool says 5.4.7. Who's lying and how can I find the version number other than the config tool?

TIA

Walt
Go to the top of the page
 
+Quote Post
adf
post Nov 7 2007, 07:50 PM
Post #2





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



QUOTE(walts @ Nov 7 2007, 11:26 AM) *
I just came back to pdaXii13 after a trip to the 2.6 kernel via r198 and Angstrom.

I verified that I had the 5.4.9 files from the tyrannozaurus site and flashed my 3200 with the "full" version. (initrd.bin, tools.tar and updater.sh from Akita and hdimage-full.tar from Spitz)
I fixed up my wpa_supplicant.conf and wifi-radar files, and of course my wifi card (Ambicom WL1100-CF) did not work.
Based on prior experience with this ROM, I did a manual (ipkg from command line) install of hostap-drivers and hostap-utils (version 0.4.7-1) I have no idea what version is installed by flashing the ROM, but it has never worked for me in the past. (hostap-utils -v or hostap-utils --version give errors)
I also installed wifi-radar 1.9.8-2 and that gets my network going.

Then I did ipkg update and started ipkg upgrade. It ran for a while and then upgraded hostap-drivers, and the whole thing quit. Now I have no network connection.

Questions:
- How can I exclude a package from ipkg upgrade?
- Is that even a good idea? I want to keep things current but the version installed by flashing clearly doesn't work.
- How can I get things back to where they are working without re-flashing?
- The Tyrannozaurus download page clearly says this is 5.4.9, but the pdaXii13 Config Tool says 5.4.7. Who's lying and how can I find the version number other than the config tool?

TIA

Walt


I haven't seen any hostap problem using the same card, but then I'm not using wpa-supplicant. Anyway, meanie excludes ipks in the pdaxiiv2 ipkg-upgrade script. you might grab a copy of that and see what he is doing with it? I'm sure someone else will be along with better info, but til then I hope this helps.
Go to the top of the page
 
+Quote Post
Meanie
post Nov 15 2007, 07:04 PM
Post #3





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(adf @ Nov 8 2007, 01:50 PM) *
QUOTE(walts @ Nov 7 2007, 11:26 AM) *
I just came back to pdaXii13 after a trip to the 2.6 kernel via r198 and Angstrom.

I verified that I had the 5.4.9 files from the tyrannozaurus site and flashed my 3200 with the "full" version. (initrd.bin, tools.tar and updater.sh from Akita and hdimage-full.tar from Spitz)
I fixed up my wpa_supplicant.conf and wifi-radar files, and of course my wifi card (Ambicom WL1100-CF) did not work.
Based on prior experience with this ROM, I did a manual (ipkg from command line) install of hostap-drivers and hostap-utils (version 0.4.7-1) I have no idea what version is installed by flashing the ROM, but it has never worked for me in the past. (hostap-utils -v or hostap-utils --version give errors)
I also installed wifi-radar 1.9.8-2 and that gets my network going.

Then I did ipkg update and started ipkg upgrade. It ran for a while and then upgraded hostap-drivers, and the whole thing quit. Now I have no network connection.

Questions:
- How can I exclude a package from ipkg upgrade?
- Is that even a good idea? I want to keep things current but the version installed by flashing clearly doesn't work.
- How can I get things back to where they are working without re-flashing?
- The Tyrannozaurus download page clearly says this is 5.4.9, but the pdaXii13 Config Tool says 5.4.7. Who's lying and how can I find the version number other than the config tool?

TIA

Walt


I haven't seen any hostap problem using the same card, but then I'm not using wpa-supplicant. Anyway, meanie excludes ipks in the pdaxiiv2 ipkg-upgrade script. you might grab a copy of that and see what he is doing with it? I'm sure someone else will be along with better info, but til then I hope this helps.


I enhanced ipkg in my latest releases and added a feature to ignore upgrading certain packages that are contained in a file called ignored. The updated ipkg also fixes a bug where it thinks a newer version is actually older.

as for pdaXii13 version, just run version from the command line. It should be the same as what pdaXcfg tool tells you.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 19th December 2014 - 07:00 PM